io.undertow.server.handlers.proxy.mod_cluster

## Interface ModClusterStatus.LoadBalancer

Enclosing interface:
  ModClusterStatus

    public static interface ModClusterStatus.LoadBalancer

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`int` `getMaxAttempts()` Deprecated. Use `getMaxRetries()`.
`int` `getMaxRetries()` Returns maximum number of failover attempts to send the request to the backend server.
`String` `getName()`
`ModClusterStatus.Node` `getNode(String name)`
`List<ModClusterStatus.Node>` `getNodes()`
`String` `getStickySessionCookie()`
`String` `getStickySessionPath()`
`int` `getWaitWorker()`
`boolean` `isStickySession()`
`boolean` `isStickySessionForce()`
`boolean` `isStickySessionRemove()`

### Method Detail

#### getName

    String getName()

#### getNodes

    List<ModClusterStatus.Node> getNodes()

#### getNode

    ModClusterStatus.Node getNode(String name)

#### isStickySession

    boolean isStickySession()

#### getStickySessionCookie

    String getStickySessionCookie()

#### getStickySessionPath

    String getStickySessionPath()

#### isStickySessionRemove

    boolean isStickySessionRemove()

#### isStickySessionForce

    boolean isStickySessionForce()

#### getWaitWorker

    int getWaitWorker()

#### getMaxRetries

    int getMaxRetries()

Returns maximum number of failover attempts to send the request to the backend server.

Returns:
  number of failover attempts

#### getMaxAttempts

    @Deprecated
    int getMaxAttempts()

Deprecated. Use `getMaxRetries()`.